.contacts__form__success__info {
  position: relative;
}
.contacts__form__success__info::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -3.2rem;
  width: 0.5px;
  height: 20rem;
  background-color: #c4c4c4;
}
.contacts__form__success__info::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -3.2rem;
  width: 2px;
  height: 8rem;
  background-color: #ba2229;
  z-index: 10;
}

.contacts__form__success__info::before {
  height: 10rem;
}

.contacts__form__success__info::after {
  height: 4rem;
}

.circle-link {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  font-family: "Altissimo";
  text-decoration: inherit;
  color: #2d2c2c;
  text-transform: uppercase;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.circle-link__svg {
  display: block;
  width: 2.4rem;
  height: 2.4rem;
  stroke: currentColor;
  -webkit-transition: -webkit-transform 0.3s ease;
  transition: -webkit-transform 0.3s ease;
  transition: transform 0.3s ease;
  transition: transform 0.3s ease, -webkit-transform 0.3s ease;
  margin-left: 0.8rem;
}
.circle-link__svg circle {
  -webkit-transition: stroke-dashoffset 0.3s ease;
  transition: stroke-dashoffset 0.3s ease;
  stroke-dasharray: 95;
  stroke-dashoffset: 95;
}
.circle-link--active-from-parent:hover .circle-link,
.circle-link:hover {
  color: #ba2229;
}
.circle-link--active-from-parent:hover .circle-link__svg,
.circle-link:hover .circle-link__svg {
  -webkit-transform: translate3d(5px, 0, 0);
  transform: translate3d(5px, 0, 0);
}
.circle-link--active-from-parent:hover .circle-link__svg circle,
.circle-link:hover .circle-link__svg circle {
  stroke-dashoffset: 0;
}

.circle-link--active-from-parent {
  cursor: pointer;
}

.contacts__form__success__info {
  position: relative;
}
.contacts__form__success__info::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -3.2rem;
  width: 0.5px;
  height: 20rem;
  background-color: #c4c4c4;
}
.contacts__form__success__info::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -3.2rem;
  width: 2px;
  height: 8rem;
  background-color: #ba2229;
  z-index: 10;
}

.contacts__form__success__info::before {
  height: 10rem;
}

.contacts__form__success__info::after {
  height: 4rem;
}

@-webkit-keyframes loadSpinner {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loadSpinner {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.form-wrapper {
  position: relative;
}

.form__title {
  font-size: 1.8rem;
  font-weight: 700;
  color: #ba2229;
  margin-bottom: 0.8rem;
}

.form__error {
  font-family: "Altissimo";
  font-size: 1.4rem;
  line-height: 1.8rem;
  color: #9e9e9e;
  margin-bottom: 1.2rem;
  opacity: 0;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.form__error span {
  font-weight: 700;
}

.form--error .form__error {
  opacity: 1;
}

.form__group {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-bottom: 4rem;
}
.form__group--checkbox {
  margin-bottom: 1.6rem;
}

.form__group--error .form__error-message {
  opacity: 1;
  -webkit-transform: translateY(0);
  transform: translateY(0);
}

.form__label {
  text-transform: uppercase;
  margin-bottom: 0.4rem;
  font-size: 1.6rem;
}
.form__label--required::after {
  content: "*";
  display: "block";
  color: #ba2229;
}
.form__label--checkbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  text-transform: initial;
  color: #9e9e9e;
  font-family: "Altissimo";
  font-size: 1.4rem;
  margin-bottom: 0;
}
.form__label--checkbox b {
  font-weight: 700;
}

.form__error-message {
  font-size: 1.2rem;
  color: #ba2229;
  line-height: 1.4rem;
  height: 1.4rem;
  margin-bottom: 1.2rem;
  opacity: 0;
  -webkit-transform: translateY(-0.5rem);
  transform: translateY(-0.5rem);
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.form__group--checkbox .form__error-message {
  margin-bottom: 0;
  margin-top: 0.8rem;
}

.form__input,
.form__textarea {
  border: none;
  outline: none;
  color: #1a1919;
  padding-bottom: 2.4rem;
  -webkit-box-shadow: inset 0px -1px 0px #eaeaea;
  box-shadow: inset 0px -1px 0px #eaeaea;
}
.form__input::-webkit-input-placeholder,
.form__textarea::-webkit-input-placeholder {
  font-size: 2.4rem;
  color: #9e9e9e;
}
.form__input::-moz-placeholder,
.form__textarea::-moz-placeholder {
  font-size: 2.4rem;
  color: #9e9e9e;
}
.form__input:-ms-input-placeholder,
.form__textarea:-ms-input-placeholder {
  font-size: 2.4rem;
  color: #9e9e9e;
}
.form__input::-ms-input-placeholder,
.form__textarea::-ms-input-placeholder {
  font-size: 2.4rem;
  color: #9e9e9e;
}
.form__input::placeholder,
.form__textarea::placeholder {
  font-size: 2.4rem;
  color: #9e9e9e;
}

.form__checkbox {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  z-index: -1;
}

.form__checkmark {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: relative;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  display: block;
  height: 2rem;
  width: 2rem;
  margin-right: 0.8rem;
  background: #eaeaea;
  border: 1px solid #9e9e9e;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border-radius: 0.4rem;
}
.form__checkmark__icon {
  content: "";
  position: absolute;
  display: none;
  width: 1.2rem;
  height: 0.8rem;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.form__checkbox:checked ~ .form__checkmark {
  background-color: #ba2229;
  border-color: #701116;
}

.form__checkbox:checked ~ .form__checkmark .form__checkmark__icon {
  display: block;
}

.form__textarea {
  resize: none;
}

.form__button {
  cursor: pointer;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  font-family: "Altissimo";
  font-size: 1.4rem;
  color: #ffffff;
  text-transform: uppercase;
  background-color: #ba2229;
  border: none;
  border-radius: 4px;
  max-height: 5.2rem;
  padding: 1.5rem 3.8rem;
}
.form__button:disabled {
  background-color: #d4686d;
  cursor: initial;
}
.form__button > * {
  margin-left: 0.8rem;
}
.form__button__icon {
  display: block;
  width: 1.8rem;
  height: 1.8rem;
  fill: #ffffff;
  color: #ba2229;
}
.form__button__icon--success {
  display: none;
}
.form__button:disabled .form__button__loader::after {
  background: #d4686d;
}
.form__button__loader {
  display: none;
  width: 1.8rem;
  height: 1.8rem;
  border-radius: 50%;
  background: #ffffff;
  background: -webkit-gradient(
    linear,
    left top,
    right top,
    color-stop(10%, #ffffff),
    color-stop(42%, rgba(255, 255, 255, 0))
  );
  background: linear-gradient(
    to right,
    #ffffff 10%,
    rgba(255, 255, 255, 0) 42%
  );
  position: relative;
  -webkit-animation: loadSpinner 1.4s infinite linear;
  animation: loadSpinner 1.4s infinite linear;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
.form__button__loader::before {
  width: 50%;
  height: 50%;
  background: #ffffff;
  border-radius: 100% 0 0 0;
  position: absolute;
  top: 0;
  left: 0;
  content: "";
}
.form__button__loader::after {
  background: #ba2229;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  content: "";
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
.form__button--loading .form__button__icon {
  display: none;
}
.form__button--loading .form__button__loader {
  display: block;
}
.form__button--success .form__button__icon {
  display: none;
}
.form__button--success .form__button__icon--success {
  display: block;
}

.form--small .form__group {
  margin-bottom: 3.2rem;
}

.form--small .form__input {
  font-size: 1.8rem;
  padding-bottom: 1.6rem;
}

.alert {
  position: fixed;
  top: 13.5rem;
  left: 0;
  width: 100%;
  z-index: 1500;
  padding: 0 2.4rem;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translateY(-13.5rem);
  transform: translateY(-13.5rem);
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}
.alert--visible {
  opacity: 1;
  visibility: visible;
  -webkit-transform: translateY(0);
  transform: translateY(0);
}
.alert__content-box {
  max-width: 77.2rem;
  margin: 0 auto;
}
.alert__content {
  background-color: #ffffff;
  -webkit-box-shadow: 0px 1rem 4rem rgba(0, 0, 0, 0.1);
  box-shadow: 0px 1rem 4rem rgba(0, 0, 0, 0.1);
  border-radius: 14rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 2rem 9.5rem 2rem 5.2rem;
}
.alert__button {
  cursor: pointer;
  background: transparent;
  outline: none;
  border: none;
  color: #ba2229;
}
.alert__icon {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  display: block;
  width: 4rem;
  height: 4rem;
  margin-right: 2.4rem;
}

.contacts {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background-color: #fff;
  align-items: center;
  max-width: 1579px;
  margin: 0 auto;
  padding-top: 176px;
}
.contacts__info-wrapper {
  width: 57.8125vw;
}
.contacts__info {
  width: 70.8rem;
  margin: 0 auto;
}
.contacts__title {
  font-size: 1.8rem;
  font-weight: 700;
  color: #2d2c2c;
  text-transform: uppercase;
  margin-bottom: 3.2rem;
}
.contacts__description {
  font-family: "Altissimo";
  font-size: 4.8rem;
  line-height: 6.4rem;
  font-weight: 700;
  margin-bottom: 4rem;
  max-width: 82rem;
}
.contacts__form-wrapper {
  position: relative;
  width: 38.54vw;
  background-color: #ffffff;
  padding: 96px 102px;
}
.contacts__form__title {
  font-size: 1.8rem;
  font-weight: 700;
  color: #ba2229;
  margin-bottom: 0.8rem;
  text-transform: uppercase;
}
.contacts__form__error {
  font-family: "Altissimo";
  font-size: 1.4rem;
  line-height: 1.8rem;
  color: #9e9e9e;
  margin-bottom: 1.2rem;
  opacity: 0;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.contacts__form__error span {
  font-weight: 700;
}
.contacts__form--error .contacts__form__error {
  opacity: 1;
}
.contacts__form__button {
  margin-bottom: 2rem;
  padding: 1.5rem 3.8rem;
}
.contacts__form__button__icon {
  display: block;
  width: 1.8rem;
  height: 1.8rem;
  margin-left: 0.8rem;
  fill: #ffffff;
  color: #ba2229;
}
.contacts__form__success {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  background: rgba(255, 255, 255, 0.9);
  -webkit-backdrop-filter: blur(0.8rem);
  backdrop-filter: blur(0.8rem);
  padding: 0 6.2rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.contacts__form__success--visible {
  opacity: 1;
  visibility: visible;
}
.contacts__form__success__title {
  font-family: "Altissimo";
  font-size: 5.6rem;
  line-height: 8rem;
  color: #ba2229;
  margin-bottom: 2.4rem;
}
.contacts__form__success__info {
  margin-bottom: 8.6rem;
  margin-left: 3.2rem;
}
.contacts__form__success__subtitle {
  font-family: "Altissimo";
  font-style: italic;
  font-weight: 700;
  font-size: 3.2rem;
  line-height: 4.8rem;
  margin-bottom: 2.4rem;
}
.contacts__form__success__description {
  font-size: 1.8rem;
  line-height: 3.2rem;
  color: #2d2c2c;
}
.contacts__location {
  margin-bottom: 4rem;
}
.contacts__location__title {
  font-family: "Altissimo";
  font-weight: 700;
  color: #ba2229;
  margin-bottom: 1.6rem;
  text-transform: uppercase;
}
.contacts__location__item {
  font-size: 1.6rem;
  line-height: 2.4rem;
}
.contacts__location__item span,
.contacts__location__item b {
  font-weight: 600;
}
.contacts__rooms {
  display: grid;
  -webkit-column-gap: 4.8rem;
  -moz-column-gap: 4.8rem;
  column-gap: 4.8rem;
  row-gap: 3.2rem;
  grid-template-columns: repeat(2, 1fr);
}
@media only screen and (max-width: 1450px) {
  .contacts {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: #ffffff;
  }
  .contacts__info-wrapper {
    margin: 0;
    width: 90%;
  }
  .contacts__info {
    margin: 0;
    width: 100%;
    padding-top: 24rem;
  }
  .contacts__form-wrapper {
    padding: 0;
    margin-bottom: 21.5rem;
    width: 60%;
    margin-top: 15.2rem;
  }
}
@media only screen and (max-width: 75em) {
  .form__label {
    font-size: 1.4rem;
  }
  .form__input::-webkit-input-placeholder,
  .form__textarea::-webkit-input-placeholder {
    font-size: 2rem;
  }
  .form__input::-moz-placeholder,
  .form__textarea::-moz-placeholder {
    font-size: 2rem;
  }
  .form__input:-ms-input-placeholder,
  .form__textarea:-ms-input-placeholder {
    font-size: 2rem;
  }
  .form__input::-ms-input-placeholder,
  .form__textarea::-ms-input-placeholder {
    font-size: 2rem;
  }
  .form__input::placeholder,
  .form__textarea::placeholder {
    font-size: 2rem;
  }
  .alert {
    top: 10.5rem;
    -webkit-transform: translateY(-10.5rem);
    transform: translateY(-10.5rem);
  }
  .alert--visible {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  .contacts__info {
    padding-top: 15.1rem;
  }
  .contacts__description {
    font-size: 4rem;
    line-height: 5.6rem;
    margin-bottom: 5.2rem;
    max-width: 63rem;
  }
}
@media only screen and (max-width: 62.3em) {
  .alert__content {
    padding: 2rem 2.4rem;
  }
  .alert__message {
    font-size: 1.4rem;
  }
  .alert__icon {
    width: 3.2rem;
    height: 3.2rem;
  }
  .contacts__info-wrapper {
    width: 90%;
  }
  .contacts__info {
    padding-top: 56px;
  }
  .contacts__form-wrapper {
    width: 70%;
  }
  .contacts__form__success {
    padding: 0 4rem;
  }
  .contacts__form__success__title {
    font-size: 4rem;
    line-height: 5.6rem;
  }
  .contacts__form__success__info {
    margin-bottom: 6.4rem;
  }
  .contacts__form__success__subtitle {
    font-size: 2.4rem;
    line-height: 3rem;
    margin-bottom: 1.6rem;
  }
  .contacts__form__success__description {
    font-size: 1.6rem;
    line-height: 2.4rem;
  }
  .contacts__location__item {
    font-size: 1.4rem;
  }
}
@media only screen and (max-width: 37.5em) {
  .form__label {
    font-size: 1.2rem;
  }
  .form__error-message {
    margin-bottom: 0.8rem;
  }
  .form__input::-webkit-input-placeholder,
  .form__textarea::-webkit-input-placeholder {
    font-size: 1.6rem;
  }
  .form__input::-moz-placeholder,
  .form__textarea::-moz-placeholder {
    font-size: 1.6rem;
  }
  .form__input:-ms-input-placeholder,
  .form__textarea:-ms-input-placeholder {
    font-size: 1.6rem;
  }
  .form__input::-ms-input-placeholder,
  .form__textarea::-ms-input-placeholder {
    font-size: 1.6rem;
  }
  .form__input::placeholder,
  .form__textarea::placeholder {
    font-size: 1.6rem;
  }
  .form__button {
    padding: 1.5rem 3rem;
  }
  .form--small .form__group {
    margin-bottom: 2.4rem;
  }
  .form--small .form__input {
    font-size: 1.4rem;
    padding-bottom: 0.8rem;
  }
  .contacts__info-wrapper {
    width: 90;
    /*padding-left: 2.4rem;
    padding-right: 2.4rem;**/
    margin: 0 auto;
  }
  .contacts__description {
    font-size: 3.2rem;
    line-height: 4.8rem;
    margin-bottom: 4rem;
  }
  .contacts__form-wrapper {
    width: 100%;
    /* padding-left: 2.4rem;
    padding-right: 2.4rem;*/
    width: 90%;
    margin: 0 auto;
    margin-top: 56px;
    margin-bottom: 160px;
  }
  .contacts__form__button {
    margin-left: auto;
    margin-right: auto;
  }
  .contacts__form__success {
    padding: 0 2.4rem;
  }
  .contacts__location {
    margin-bottom: 3.2rem;
  }
  .contacts__rooms {
    grid-template-columns: 1fr;
  }
}
